ci: remove fail summary (#22174)

The tests already have a summary at the end, there's no need for an
additional fail summary wrapper.
This commit is contained in:
dundargoc 2023-02-08 18:32:17 +01:00 committed by GitHub
parent eebed91d11
commit 2294210660
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
7 changed files with 23 additions and 71 deletions

View File

@ -3,14 +3,10 @@
set -e
set -o pipefail
CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
# shellcheck source-path=SCRIPTDIR
source "${CI_DIR}/common/suite.sh"
mkdir -p "$CACHE_DIR"
# Update the third-party dependency cache only if the build was successful.
if ended_successfully && [ -d "${DEPS_BUILD_DIR}" ]; then
if [ -d "${DEPS_BUILD_DIR}" ]; then
# Do not cache downloads. They should not be needed with up-to-date deps.
rm -rf "${DEPS_BUILD_DIR}/build/downloads"
rm -rf "${CACHE_NVIM_DEPS_DIR}"

View File

@ -1,30 +0,0 @@
# If FAIL_SUMMARY_FILE exists we know that some tests failed, this file will
# contain information about failed tests. Build is considered successful if
# tests ended without any of them failing.
FAIL_SUMMARY_FILE="$BUILD_DIR/.test_errors"
fail() {
local test_name="$1"
local message="$2"
: "${message:=Test $test_name failed}"
local full_msg="$test_name :: $message"
echo "${full_msg}" >> "${FAIL_SUMMARY_FILE}"
echo "Failed: $full_msg"
export FAILED=1
}
ended_successfully() {
if test -f "${FAIL_SUMMARY_FILE}" ; then
echo 'Test failed, complete summary:'
cat "${FAIL_SUMMARY_FILE}"
if [[ "$GITHUB_ACTIONS" == "true" ]]; then
rm -f "$FAIL_SUMMARY_FILE"
fi
return 1
fi
return 0
}

View File

@ -1,4 +1,13 @@
. "${CI_DIR}/common/suite.sh"
fail() {
local test_name="$1"
local message="$2"
: "${message:=Test $test_name failed}"
local full_msg="$test_name :: $message"
echo "Failed: $full_msg"
exit 1
}
submit_coverage() {
if [ -n "${GCOV}" ]; then
@ -124,7 +133,7 @@ check_runtime_files() {(
local message="$1" ; shift
local tst="$1" ; shift
cd runtime
cd runtime || exit
for file in $(git ls-files "$@") ; do
# Check that test is not trying to work with files with spaces/etc
# Prefer failing the build over using more robust construct because files
@ -141,7 +150,6 @@ check_runtime_files() {(
install_nvim() {(
if ! ninja -C "${BUILD_DIR}" install; then
fail 'install' 'make install failed'
exit 1
fi
"${INSTALL_PREFIX}/bin/nvim" --version

View File

@ -6,8 +6,6 @@ set -o pipefail
CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
# shellcheck source-path=SCRIPTDIR
source "${CI_DIR}/common/test.sh"
# shellcheck source-path=SCRIPTDIR
source "${CI_DIR}/common/suite.sh"
build_nvim() {
check_core_dumps --delete quiet
@ -53,11 +51,9 @@ else
fi
for i in "${tests[@]}"; do
eval "$i" || fail "$i"
eval "$i" || exit
done
ended_successfully
if [[ -s "${GCOV_ERROR_FILE}" ]]; then
echo '=== Unexpected gcov errors: ==='
cat "${GCOV_ERROR_FILE}"

View File

@ -26,7 +26,6 @@ main() {(
export BUILD_DIR
export FAILED=0
. $(dirname $0)/suite.sh
. $(dirname $0)/test.sh
# Redirect XDG_CONFIG_HOME so users local config doesn't interfere

View File

@ -1,10 +1,3 @@
# Test success marker. If END_MARKER file exists, we know that all tests
# finished. If FAIL_SUMMARY_FILE exists we know that some tests failed, this
# file will contain information about failed tests. Build is considered
# successful if tests ended without any of them failing.
END_MARKER="$BUILD_DIR/.tests_finished"
FAIL_SUMMARY_FILE="$BUILD_DIR/.test_errors"
fail() {
local test_name="$1"
local message="$2"
@ -12,25 +5,6 @@ fail() {
: "${message:=Test $test_name failed}"
local full_msg="$test_name :: $message"
echo "${full_msg}" >> "${FAIL_SUMMARY_FILE}"
echo "Failed: $full_msg"
export FAILED=1
}
ended_successfully() {
if test -f "${FAIL_SUMMARY_FILE}" ; then
echo 'Test failed, complete summary:'
cat "${FAIL_SUMMARY_FILE}"
if [[ "$GITHUB_ACTIONS" == "true" ]]; then
rm -f "$FAIL_SUMMARY_FILE"
fi
return 1
fi
if ! test -f "${END_MARKER}" ; then
echo 'ended_successfully called before end marker was touched'
return 1
fi
return 0
}

View File

@ -1,4 +1,13 @@
. $(dirname $0)/suite.sh
fail() {
local test_name="$1"
local message="$2"
: "${message:=Test $test_name failed}"
local full_msg="$test_name :: $message"
echo "Failed: $full_msg"
export FAILED=1
}
print_core() {
local app="$1"